package com.hxhq.business.enums.zykgl;

/**
 * 档案状态：1：未归档；3：已归档
 * @author tanfei
 */
public enum DaztEnum {

    /**
     * 未归档
     */
    wgd(1, "未归档"),

    /**
     * 已归档
     */
    ygd(3, "已归档");

    private int value;
    private String text;

    DaztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static DaztEnum getEnumByValue(int type) {
        for (DaztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
